
//如果要运行这个测试demo只需要修改四个地方：
//1.将您的accesskey写入到下面的NSString *accessKey变量中
//2.将您的secretKey写入到下面的NSString *secretKey变量中
//3.将您的Bucket name写入到下面的NSString *yourBucket变量中
//4.将您的key name写入到下面的NSString *yourKey变量中

#import "ViewController.h"
#import "OSSClient.h"
#import "OSSTool.h"
#import "OSSData.h"
#import "OSSLog.h"

@interface ViewController ()

@end

@implementation ViewController
{
    OSSData *testData;
}

- (void)viewDidLoad {
    [super viewDidLoad];
    OSSClient *ossclient = [OSSClient sharedInstanceManage];
    NSString *accessKey = @"access key";
    NSString *secretKey = @"secret key";
    NSString *yourBucket = @"bucket name";
    NSString *yourKey = @"key name";
    [ossclient setGenerateToken:^(NSString *method, NSString *md5, NSString *type, NSString *date, NSString *xoss, NSString *resource){
        NSString *signature = nil;
        NSString *content = [NSString stringWithFormat:@"%@\n%@\n%@\n%@\n%@%@", method, md5, type, date, xoss, resource];
        signature = [OSSTool calBase64Sha1WithData:content withKey:secretKey];
        signature = [NSString stringWithFormat:@"OSS %@:%@", accessKey, signature];
        NSLog(@"here signature:%@", signature);
        return signature;
    }];
    OSSBucket *bucket = [[OSSBucket alloc] initWithBucket:yourBucket];
    testData = [[OSSData alloc] initWithBucket:bucket withKey:yourKey];
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

- (IBAction)cancelDownload:(UIButton *)sender {
    [testData cancel];
}

- (IBAction)start:(UIButton *)sender {
    [_progressView setProgress:0];
    dispatch_async(dispatch_get_global_queue(DISPATCH_QUEUE_PRIORITY_DEFAULT, 0), ^{
        [testData getWithDataCallback:^(NSData *data, NSError *error){
            NSLog(@"成功下载数据的大小:%lu", (unsigned long)data.length);
        } withProgressCallback:^(float progressFloat){
            NSLog(@"当前进度： %f", progressFloat);
            dispatch_async(dispatch_get_main_queue(), ^{
                [_progressView setProgress:progressFloat];
            });
        }];
    });
}
@end
